| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DImgLoaderObserver Class Reference
Inheritance diagram for Digikam::DImgLoaderObserver:

## Public Member Functions
virtual bool | continueQuery ()
| Queries whether the image IO operation shall be continued.
virtual float | granularity ()
virtual void | progressInfo (float progress)
| Posts progress information about image IO.

## Member Function Documentation

## ◆ granularity()

virtual float Digikam::DImgLoaderObserver::granularity | ( |  | ) |
| inline virtual

Returns
  A relative value which determines the granularity, the frequency with which the DImgLoaderObserver is checked and progress is posted. Standard is 1.0. Values < 1 mean less granularity (fewer checks), values > 1 mean higher granularity (more checks).

## ◆ progressInfo()

virtual void Digikam::DImgLoaderObserver::progressInfo | ( | float | progress | ) |
| inline virtual

Reimplemented in Digikam::IccTransformFilter.